Index: trunk/quest-core-coverage-test/src/test/java/de/ugoe/cs/quest/coverage/SequenceToolsTest.java
===================================================================
--- trunk/quest-core-coverage-test/src/test/java/de/ugoe/cs/quest/coverage/SequenceToolsTest.java	(revision 518)
+++ trunk/quest-core-coverage-test/src/test/java/de/ugoe/cs/quest/coverage/SequenceToolsTest.java	(revision 548)
@@ -15,4 +15,5 @@
 import de.ugoe.cs.quest.usageprofiles.IStochasticProcess;
 import de.ugoe.cs.quest.usageprofiles.MockTrieBasedModel;
+import de.ugoe.cs.quest.usageprofiles.mock.StringEventType;
 
 import org.junit.*;
@@ -28,6 +29,6 @@
 public class SequenceToolsTest {
 	
-	Collection<List<? extends Event<?>>> sequences;
-	Set<List<? extends Event<?>>> subSequences;
+	Collection<List<Event>> sequences;
+	Set<List<Event>> subSequences;
 	MockTrieBasedModel mockProcess;
 	
@@ -37,5 +38,5 @@
 		int length = 2;
 
-		Set<List<? extends Event<?>>> result = SequenceTools.containedSubSequences(sequences, length);
+		Set<List<Event>> result = SequenceTools.containedSubSequences(sequences, length);
 
 		assertNotNull(result);
@@ -49,5 +50,5 @@
 		int length = 2;
 
-		Set<List<? extends Event<?>>> result = SequenceTools.containedSubSequences(null, length);
+		Set<List<Event>> result = SequenceTools.containedSubSequences(null, length);
 		assertNotNull(result);
 		assertTrue(result.isEmpty());
@@ -73,10 +74,10 @@
 	public void testGenerateWeights_1()
 		throws Exception {
-		Map<List<? extends Event<?>>, Double> result = SequenceTools.generateWeights(mockProcess, subSequences);
-
-		assertNotNull(result);
-		Set<Entry<List<? extends Event<?>>, Double>> entrySet = result.entrySet();
+		Map<List<Event>, Double> result = SequenceTools.generateWeights(mockProcess, subSequences);
+
+		assertNotNull(result);
+		Set<Entry<List<Event>, Double>> entrySet = result.entrySet();
 		assertEquals(subSequences.size(),entrySet.size());
-		for( Entry<List<? extends Event<?>>, Double> entry : entrySet ) {
+		for( Entry<List<Event>, Double> entry : entrySet ) {
 			assertEquals(Double.valueOf(2.0d), entry.getValue());
 			assertTrue(subSequences.contains(entry.getKey()));
@@ -87,9 +88,9 @@
 	public void testGenerateWeights_2()
 		throws Exception {
-		Map<List<? extends Event<?>>, Double> result = SequenceTools.generateWeights(null, subSequences);
-		
-		Set<Entry<List<? extends Event<?>>, Double>> entrySet = result.entrySet();
+		Map<List<Event>, Double> result = SequenceTools.generateWeights(null, subSequences);
+		
+		Set<Entry<List<Event>, Double>> entrySet = result.entrySet();
 		assertEquals(subSequences.size(),entrySet.size());
-		for( Entry<List<? extends Event<?>>, Double> entry : entrySet ) {
+		for( Entry<List<Event>, Double> entry : entrySet ) {
 			assertEquals(Double.valueOf(0.0d), entry.getValue());
 			assertTrue(subSequences.contains(entry.getKey()));
@@ -100,5 +101,5 @@
 	public void testGenerateWeights_3()
 		throws Exception {
-		Map<List<? extends Event<?>>, Double> result = SequenceTools.generateWeights(mockProcess, null);
+		Map<List<Event>, Double> result = SequenceTools.generateWeights(mockProcess, null);
 		
 		assertNotNull(result);
@@ -148,45 +149,45 @@
 	public void setUp()
 		throws Exception {
-		sequences = new LinkedList<List<? extends Event<?>>>();
-		List<Event<?>> sequence1 = new ArrayList<Event<?>>();
-		sequence1.add(new Event<String>("a"));
-		sequence1.add(new Event<String>("b"));
-		sequence1.add(new Event<String>("r"));
-		sequence1.add(new Event<String>("a"));
-		List<Event<?>> sequence2 = new ArrayList<Event<?>>();
-		sequence2.add(new Event<String>("c"));
-		sequence2.add(new Event<String>("a"));
-		sequence2.add(new Event<String>("d"));
-		sequence2.add(new Event<String>("a"));
-		sequence2.add(new Event<String>("b"));
-		sequence2.add(new Event<String>("r"));
-		sequence2.add(new Event<String>("a"));
+		sequences = new LinkedList<List<Event>>();
+		List<Event> sequence1 = new ArrayList<Event>();
+		sequence1.add(new Event(new StringEventType("a")));
+		sequence1.add(new Event(new StringEventType("b")));
+		sequence1.add(new Event(new StringEventType("r")));
+		sequence1.add(new Event(new StringEventType("a")));
+		List<Event> sequence2 = new ArrayList<Event>();
+		sequence2.add(new Event(new StringEventType("c")));
+		sequence2.add(new Event(new StringEventType("a")));
+		sequence2.add(new Event(new StringEventType("d")));
+		sequence2.add(new Event(new StringEventType("a")));
+		sequence2.add(new Event(new StringEventType("b")));
+		sequence2.add(new Event(new StringEventType("r")));
+		sequence2.add(new Event(new StringEventType("a")));
 		sequences.add(sequence1);
 		sequences.add(sequence2);
 		
-		subSequences = new LinkedHashSet<List<? extends Event<?>>>();
-		List<Event<?>> tmpList = new ArrayList<Event<?>>();
-		tmpList.add(new Event<String>("a"));
-		tmpList.add(new Event<String>("b"));
-		subSequences.add(tmpList);
-		tmpList = new ArrayList<Event<?>>();
-		tmpList.add(new Event<String>("b"));
-		tmpList.add(new Event<String>("r"));
-		subSequences.add(tmpList);
-		tmpList = new ArrayList<Event<?>>();
-		tmpList.add(new Event<String>("r"));
-		tmpList.add(new Event<String>("a"));
-		subSequences.add(tmpList);
-		tmpList = new ArrayList<Event<?>>();
-		tmpList.add(new Event<String>("c"));
-		tmpList.add(new Event<String>("a"));
-		subSequences.add(tmpList);
-		tmpList = new ArrayList<Event<?>>();
-		tmpList.add(new Event<String>("a"));
-		tmpList.add(new Event<String>("d"));
-		subSequences.add(tmpList);
-		tmpList = new ArrayList<Event<?>>();
-		tmpList.add(new Event<String>("d"));
-		tmpList.add(new Event<String>("a"));
+		subSequences = new LinkedHashSet<List<Event>>();
+		List<Event> tmpList = new ArrayList<Event>();
+		tmpList.add(new Event(new StringEventType("a")));
+		tmpList.add(new Event(new StringEventType("b")));
+		subSequences.add(tmpList);
+		tmpList = new ArrayList<Event>();
+		tmpList.add(new Event(new StringEventType("b")));
+		tmpList.add(new Event(new StringEventType("r")));
+		subSequences.add(tmpList);
+		tmpList = new ArrayList<Event>();
+		tmpList.add(new Event(new StringEventType("r")));
+		tmpList.add(new Event(new StringEventType("a")));
+		subSequences.add(tmpList);
+		tmpList = new ArrayList<Event>();
+		tmpList.add(new Event(new StringEventType("c")));
+		tmpList.add(new Event(new StringEventType("a")));
+		subSequences.add(tmpList);
+		tmpList = new ArrayList<Event>();
+		tmpList.add(new Event(new StringEventType("a")));
+		tmpList.add(new Event(new StringEventType("d")));
+		subSequences.add(tmpList);
+		tmpList = new ArrayList<Event>();
+		tmpList.add(new Event(new StringEventType("d")));
+		tmpList.add(new Event(new StringEventType("a")));
 		subSequences.add(tmpList);
 		
